/*******************************************************************
* Creation Date: 06/16/2024   
*   SC_SEDD_2022_CORE.sps:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CORE FILE INTO SPSS                         
*******************************************************************/


/***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************/


/********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************/

DATA LIST FILE = 'SC_SEDD_2022_CORE.asc' FIXED SKIP=2 / 
 AMONTH                          1-   2
 ATYPE                           3-   4
 AWEEKEND                        5-   6
 CPT1                            7-  11 (A)
 CPT2                           12-  16 (A)
 CPT3                           17-  21 (A)
 CPT4                           22-  26 (A)
 CPT5                           27-  31 (A)
 CPT6                           32-  36 (A)
 CPT7                           37-  41 (A)
 CPT8                           42-  46 (A)
 CPT9                           47-  51 (A)
 CPT10                          52-  56 (A)
 CPT11                          57-  61 (A)
 CPT12                          62-  66 (A)
 CPT13                          67-  71 (A)
 CPT14                          72-  76 (A)
 CPT15                          77-  81 (A)
 CPT16                          82-  86 (A)
 CPT17                          87-  91 (A)
 CPT18                          92-  96 (A)
 CPT19                          97- 101 (A)
 CPT20                         102- 106 (A)
 CPT21                         107- 111 (A)
 CPT22                         112- 116 (A)
 CPT23                         117- 121 (A)
 CPT24                         122- 126 (A)
 CPT25                         127- 131 (A)
 CPT26                         132- 136 (A)
 CPT27                         137- 141 (A)
 CPT28                         142- 146 (A)
 CPT29                         147- 151 (A)
 CPT30                         152- 156 (A)
 CPT31                         157- 161 (A)
 CPT32                         162- 166 (A)
 CPT33                         167- 171 (A)
 CPT34                         172- 176 (A)
 CPT35                         177- 181 (A)
 CPT36                         182- 186 (A)
 CPT37                         187- 191 (A)
 CPT38                         192- 196 (A)
 CPT39                         197- 201 (A)
 CPT40                         202- 206 (A)
 CPT41                         207- 211 (A)
 CPT42                         212- 216 (A)
 CPT43                         217- 221 (A)
 CPT44                         222- 226 (A)
 CPT45                         227- 231 (A)
 CPT46                         232- 236 (A)
 CPT47                         237- 241 (A)
 CPT48                         242- 246 (A)
 CPT49                         247- 251 (A)
 CPT50                         252- 256 (A)
 CPT51                         257- 261 (A)
 CPT52                         262- 266 (A)
 CPT53                         267- 271 (A)
 CPT54                         272- 276 (A)
 CPT55                         277- 281 (A)
 CPT56                         282- 286 (A)
 CPT57                         287- 291 (A)
 CPT58                         292- 296 (A)
 CPT59                         297- 301 (A)
 CPT60                         302- 306 (A)
 CPT61                         307- 311 (A)
 CPT62                         312- 316 (A)
 CPT63                         317- 321 (A)
 CPT64                         322- 326 (A)
 CPT65                         327- 331 (A)
 CPT66                         332- 336 (A)
 CPT67                         337- 341 (A)
 CPT68                         342- 346 (A)
 CPT69                         347- 351 (A)
 CPT70                         352- 356 (A)
 CPT71                         357- 361 (A)
 CPT72                         362- 366 (A)
 CPT73                         367- 371 (A)
 CPT74                         372- 376 (A)
 CPT75                         377- 381 (A)
 CPT76                         382- 386 (A)
 CPT77                         387- 391 (A)
 CPT78                         392- 396 (A)
 CPT79                         397- 401 (A)
 CPT80                         402- 406 (A)
 CPT81                         407- 411 (A)
 CPT82                         412- 416 (A)
 CPT83                         417- 421 (A)
 CPT84                         422- 426 (A)
 CPT85                         427- 431 (A)
 CPT86                         432- 436 (A)
 CPT87                         437- 441 (A)
 CPT88                         442- 446 (A)
 CPT89                         447- 451 (A)
 CPT90                         452- 456 (A)
 CPT91                         457- 461 (A)
 CPT92                         462- 466 (A)
 CPT93                         467- 471 (A)
 CPT94                         472- 476 (A)
 CPT95                         477- 481 (A)
 CPT96                         482- 486 (A)
 CPT97                         487- 491 (A)
 CPT98                         492- 496 (A)
 CPT99                         497- 501 (A)
 CPT100                        502- 506 (A)
 CPT101                        507- 511 (A)
 CPT102                        512- 516 (A)
 CPT103                        517- 521 (A)
 CPT104                        522- 526 (A)
 CPT105                        527- 531 (A)
 CPT106                        532- 536 (A)
 CPT107                        537- 541 (A)
 CPT108                        542- 546 (A)
 CPT109                        547- 551 (A)
 CPT110                        552- 556 (A)
 CPT111                        557- 561 (A)
 CPT112                        562- 566 (A)
 CPT113                        567- 571 (A)
 CPT114                        572- 576 (A)
 CPT115                        577- 581 (A)
 CPT116                        582- 586 (A)
 CPT117                        587- 591 (A)
 CPT118                        592- 596 (A)
 CPT119                        597- 601 (A)
 CPT120                        602- 606 (A)
 CPT121                        607- 611 (A)
 CPT122                        612- 616 (A)
 CPT123                        617- 621 (A)
 CPT124                        622- 626 (A)
 CPT125                        627- 631 (A)
 CPT126                        632- 636 (A)
 CPT127                        637- 641 (A)
 CPT128                        642- 646 (A)
 CPT129                        647- 651 (A)
 CPT130                        652- 656 (A)
 CPT131                        657- 661 (A)
 CPT132                        662- 666 (A)
 CPT133                        667- 671 (A)
 CPT134                        672- 676 (A)
 CPT135                        677- 681 (A)
 CPT136                        682- 686 (A)
 CPT137                        687- 691 (A)
 CPT138                        692- 696 (A)
 CPT139                        697- 701 (A)
 CPT140                        702- 706 (A)
 CPT141                        707- 711 (A)
 CPT142                        712- 716 (A)
 CPT143                        717- 721 (A)
 CPT144                        722- 726 (A)
 CPT145                        727- 731 (A)
 CPT146                        732- 736 (A)
 CPT147                        737- 741 (A)
 CPT148                        742- 746 (A)
 CPT149                        747- 751 (A)
 CPT150                        752- 756 (A)
 CPT151                        757- 761 (A)
 CPT152                        762- 766 (A)
 CPT153                        767- 771 (A)
 CPT154                        772- 776 (A)
 CPT155                        777- 781 (A)
 CPT156                        782- 786 (A)
 CPT157                        787- 791 (A)
 CPT158                        792- 796 (A)
 CPT159                        797- 801 (A)
 CPT160                        802- 806 (A)
 CPT161                        807- 811 (A)
 CPT162                        812- 816 (A)
 CPT163                        817- 821 (A)
 CPT164                        822- 826 (A)
 CPT165                        827- 831 (A)
 CPT166                        832- 836 (A)
 CPT167                        837- 841 (A)
 CPT168                        842- 846 (A)
 CPT169                        847- 851 (A)
 CPT170                        852- 856 (A)
 CPT171                        857- 861 (A)
 CPT172                        862- 866 (A)
 CPT173                        867- 871 (A)
 CPT174                        872- 876 (A)
 CPT175                        877- 881 (A)
 CPT176                        882- 886 (A)
 CPT177                        887- 891 (A)
 CPT178                        892- 896 (A)
 CPT179                        897- 901 (A)
 CPT180                        902- 906 (A)
 CPT181                        907- 911 (A)
 CPT182                        912- 916 (A)
 CPT183                        917- 921 (A)
 CPT184                        922- 926 (A)
 CPT185                        927- 931 (A)
 CPT186                        932- 936 (A)
 CPT187                        937- 941 (A)
 CPT188                        942- 946 (A)
 CPT189                        947- 951 (A)
 CPT190                        952- 956 (A)
 CPT191                        957- 961 (A)
 CPT192                        962- 966 (A)
 CPT193                        967- 971 (A)
 CPT194                        972- 976 (A)
 CPT195                        977- 981 (A)
 CPT196                        982- 986 (A)
 CPT197                        987- 991 (A)
 CPT198                        992- 996 (A)
 CPT199                        997-1001 (A)
 CPT200                       1002-1006 (A)
 CPTCCS1                      1007-1009
 CPTCCS2                      1010-1012
 CPTCCS3                      1013-1015
 CPTCCS4                      1016-1018
 CPTCCS5                      1019-1021
 CPTCCS6                      1022-1024
 CPTCCS7                      1025-1027
 CPTCCS8                      1028-1030
 CPTCCS9                      1031-1033
 CPTCCS10                     1034-1036
 CPTCCS11                     1037-1039
 CPTCCS12                     1040-1042
 CPTCCS13                     1043-1045
 CPTCCS14                     1046-1048
 CPTCCS15                     1049-1051
 CPTCCS16                     1052-1054
 CPTCCS17                     1055-1057
 CPTCCS18                     1058-1060
 CPTCCS19                     1061-1063
 CPTCCS20                     1064-1066
 CPTCCS21                     1067-1069
 CPTCCS22                     1070-1072
 CPTCCS23                     1073-1075
 CPTCCS24                     1076-1078
 CPTCCS25                     1079-1081
 CPTCCS26                     1082-1084
 CPTCCS27                     1085-1087
 CPTCCS28                     1088-1090
 CPTCCS29                     1091-1093
 CPTCCS30                     1094-1096
 CPTCCS31                     1097-1099
 CPTCCS32                     1100-1102
 CPTCCS33                     1103-1105
 CPTCCS34                     1106-1108
 CPTCCS35                     1109-1111
 CPTCCS36                     1112-1114
 CPTCCS37                     1115-1117
 CPTCCS38                     1118-1120
 CPTCCS39                     1121-1123
 CPTCCS40                     1124-1126
 CPTCCS41                     1127-1129
 CPTCCS42                     1130-1132
 CPTCCS43                     1133-1135
 CPTCCS44                     1136-1138
 CPTCCS45                     1139-1141
 CPTCCS46                     1142-1144
 CPTCCS47                     1145-1147
 CPTCCS48                     1148-1150
 CPTCCS49                     1151-1153
 CPTCCS50                     1154-1156
 CPTCCS51                     1157-1159
 CPTCCS52                     1160-1162
 CPTCCS53                     1163-1165
 CPTCCS54                     1166-1168
 CPTCCS55                     1169-1171
 CPTCCS56                     1172-1174
 CPTCCS57                     1175-1177
 CPTCCS58                     1178-1180
 CPTCCS59                     1181-1183
 CPTCCS60                     1184-1186
 CPTCCS61                     1187-1189
 CPTCCS62                     1190-1192
 CPTCCS63                     1193-1195
 CPTCCS64                     1196-1198
 CPTCCS65                     1199-1201
 CPTCCS66                     1202-1204
 CPTCCS67                     1205-1207
 CPTCCS68                     1208-1210
 CPTCCS69                     1211-1213
 CPTCCS70                     1214-1216
 CPTCCS71                     1217-1219
 CPTCCS72                     1220-1222
 CPTCCS73                     1223-1225
 CPTCCS74                     1226-1228
 CPTCCS75                     1229-1231
 CPTCCS76                     1232-1234
 CPTCCS77                     1235-1237
 CPTCCS78                     1238-1240
 CPTCCS79                     1241-1243
 CPTCCS80                     1244-1246
 CPTCCS81                     1247-1249
 CPTCCS82                     1250-1252
 CPTCCS83                     1253-1255
 CPTCCS84                     1256-1258
 CPTCCS85                     1259-1261
 CPTCCS86                     1262-1264
 CPTCCS87                     1265-1267
 CPTCCS88                     1268-1270
 CPTCCS89                     1271-1273
 CPTCCS90                     1274-1276
 CPTCCS91                     1277-1279
 CPTCCS92                     1280-1282
 CPTCCS93                     1283-1285
 CPTCCS94                     1286-1288
 CPTCCS95                     1289-1291
 CPTCCS96                     1292-1294
 CPTCCS97                     1295-1297
 CPTCCS98                     1298-1300
 CPTCCS99                     1301-1303
 CPTCCS100                    1304-1306
 CPTCCS101                    1307-1309
 CPTCCS102                    1310-1312
 CPTCCS103                    1313-1315
 CPTCCS104                    1316-1318
 CPTCCS105                    1319-1321
 CPTCCS106                    1322-1324
 CPTCCS107                    1325-1327
 CPTCCS108                    1328-1330
 CPTCCS109                    1331-1333
 CPTCCS110                    1334-1336
 CPTCCS111                    1337-1339
 CPTCCS112                    1340-1342
 CPTCCS113                    1343-1345
 CPTCCS114                    1346-1348
 CPTCCS115                    1349-1351
 CPTCCS116                    1352-1354
 CPTCCS117                    1355-1357
 CPTCCS118                    1358-1360
 CPTCCS119                    1361-1363
 CPTCCS120                    1364-1366
 CPTCCS121                    1367-1369
 CPTCCS122                    1370-1372
 CPTCCS123                    1373-1375
 CPTCCS124                    1376-1378
 CPTCCS125                    1379-1381
 CPTCCS126                    1382-1384
 CPTCCS127                    1385-1387
 CPTCCS128                    1388-1390
 CPTCCS129                    1391-1393
 CPTCCS130                    1394-1396
 CPTCCS131                    1397-1399
 CPTCCS132                    1400-1402
 CPTCCS133                    1403-1405
 CPTCCS134                    1406-1408
 CPTCCS135                    1409-1411
 CPTCCS136                    1412-1414
 CPTCCS137                    1415-1417
 CPTCCS138                    1418-1420
 CPTCCS139                    1421-1423
 CPTCCS140                    1424-1426
 CPTCCS141                    1427-1429
 CPTCCS142                    1430-1432
 CPTCCS143                    1433-1435
 CPTCCS144                    1436-1438
 CPTCCS145                    1439-1441
 CPTCCS146                    1442-1444
 CPTCCS147                    1445-1447
 CPTCCS148                    1448-1450
 CPTCCS149                    1451-1453
 CPTCCS150                    1454-1456
 CPTCCS151                    1457-1459
 CPTCCS152                    1460-1462
 CPTCCS153                    1463-1465
 CPTCCS154                    1466-1468
 CPTCCS155                    1469-1471
 CPTCCS156                    1472-1474
 CPTCCS157                    1475-1477
 CPTCCS158                    1478-1480
 CPTCCS159                    1481-1483
 CPTCCS160                    1484-1486
 CPTCCS161                    1487-1489
 CPTCCS162                    1490-1492
 CPTCCS163                    1493-1495
 CPTCCS164                    1496-1498
 CPTCCS165                    1499-1501
 CPTCCS166                    1502-1504
 CPTCCS167                    1505-1507
 CPTCCS168                    1508-1510
 CPTCCS169                    1511-1513
 CPTCCS170                    1514-1516
 CPTCCS171                    1517-1519
 CPTCCS172                    1520-1522
 CPTCCS173                    1523-1525
 CPTCCS174                    1526-1528
 CPTCCS175                    1529-1531
 CPTCCS176                    1532-1534
 CPTCCS177                    1535-1537
 CPTCCS178                    1538-1540
 CPTCCS179                    1541-1543
 CPTCCS180                    1544-1546
 CPTCCS181                    1547-1549
 CPTCCS182                    1550-1552
 CPTCCS183                    1553-1555
 CPTCCS184                    1556-1558
 CPTCCS185                    1559-1561
 CPTCCS186                    1562-1564
 CPTCCS187                    1565-1567
 CPTCCS188                    1568-1570
 CPTCCS189                    1571-1573
 CPTCCS190                    1574-1576
 CPTCCS191                    1577-1579
 CPTCCS192                    1580-1582
 CPTCCS193                    1583-1585
 CPTCCS194                    1586-1588
 CPTCCS195                    1589-1591
 CPTCCS196                    1592-1594
 CPTCCS197                    1595-1597
 CPTCCS198                    1598-1600
 CPTCCS199                    1601-1603
 CPTCCS200                    1604-1606
 DIED                         1607-1608
 DISP_X                       1609-1610 (A)
 DISPUB04                     1611-1612
 DISPUNIFORM                  1613-1614
 DMONTH                       1615-1616
 DQTR                         1617-1618
 FEMALE                       1619-1620
 HCUP_ED                      1621-1622
 HCUP_OS                      1623-1624
 HCUP_SURGERY_BROAD_CPT       1625-1629
 HCUP_SURGERY_NARROW_CPT      1630-1634
 HOSPST                       1635-1636 (A)
 I10_DX_Visit_Reason1         1637-1643 (A)
 I10_DX_Visit_Reason2         1644-1650 (A)
 I10_DX_Visit_Reason3         1651-1657 (A)
 I10_DX1                      1658-1664 (A)
 I10_DX2                      1665-1671 (A)
 I10_DX3                      1672-1678 (A)
 I10_DX4                      1679-1685 (A)
 I10_DX5                      1686-1692 (A)
 I10_DX6                      1693-1699 (A)
 I10_DX7                      1700-1706 (A)
 I10_DX8                      1707-1713 (A)
 I10_DX9                      1714-1720 (A)
 I10_DX10                     1721-1727 (A)
 I10_DX11                     1728-1734 (A)
 I10_DX12                     1735-1741 (A)
 I10_DX13                     1742-1748 (A)
 I10_DX14                     1749-1755 (A)
 I10_DX15                     1756-1762 (A)
 I10_DX16                     1763-1769 (A)
 I10_DX17                     1770-1776 (A)
 I10_NDX                      1777-1779
 I10_PROCTYPE                 1780-1782
 KEY                          1783-1797
 LOS                          1798-1802
 LOS_X                        1803-1808
 MDSPEC1                      1809-1811 (A)
 MDSPEC2                      1812-1814 (A)
 MEDINCSTQ                    1815-1816
 NCPT                         1817-1820
 PAY1                         1821-1822
 PAY1_X                       1823-1824 (A)
 PL_NCHS                      1825-1826
 PointOfOrigin_X              1827     (A)
 PointOfOriginUB04            1828     (A)
 PSTATE                       1829-1830 (A)
 PSTATE_GEO                   1831-1832 (A)
 PSTCO                        1833-1837
 RACE                         1838-1839
 RACE_X                       1840     (A)
 SASD_SEDD                    1841-1842
 STATE_AS                     1843-1844
 STATE_ED                     1845-1846
 STATE_OS                     1847-1848
 TOTCHG                       1849-1858
 TOTCHG_X                     1859-1873
 YEAR                         1874-1877
 ZIPINC_QRTL                  1878-1880
 AGEGROUP                     1881-1883
 AYEAR                        1884-1887.


/***  Specify write formats  ***/
FORMATS
 AMONTH                       (F3.0) /
 ATYPE                        (F3.0) /
 AWEEKEND                     (F3.0) /
 CPTCCS1                      (F4.0) /
 CPTCCS2                      (F4.0) /
 CPTCCS3                      (F4.0) /
 CPTCCS4                      (F4.0) /
 CPTCCS5                      (F4.0) /
 CPTCCS6                      (F4.0) /
 CPTCCS7                      (F4.0) /
 CPTCCS8                      (F4.0) /
 CPTCCS9                      (F4.0) /
 CPTCCS10                     (F4.0) /
 CPTCCS11                     (F4.0) /
 CPTCCS12                     (F4.0) /
 CPTCCS13                     (F4.0) /
 CPTCCS14                     (F4.0) /
 CPTCCS15                     (F4.0) /
 CPTCCS16                     (F4.0) /
 CPTCCS17                     (F4.0) /
 CPTCCS18                     (F4.0) /
 CPTCCS19                     (F4.0) /
 CPTCCS20                     (F4.0) /
 CPTCCS21                     (F4.0) /
 CPTCCS22                     (F4.0) /
 CPTCCS23                     (F4.0) /
 CPTCCS24                     (F4.0) /
 CPTCCS25                     (F4.0) /
 CPTCCS26                     (F4.0) /
 CPTCCS27                     (F4.0) /
 CPTCCS28                     (F4.0) /
 CPTCCS29                     (F4.0) /
 CPTCCS30                     (F4.0) /
 CPTCCS31                     (F4.0) /
 CPTCCS32                     (F4.0) /
 CPTCCS33                     (F4.0) /
 CPTCCS34                     (F4.0) /
 CPTCCS35                     (F4.0) /
 CPTCCS36                     (F4.0) /
 CPTCCS37                     (F4.0) /
 CPTCCS38                     (F4.0) /
 CPTCCS39                     (F4.0) /
 CPTCCS40                     (F4.0) /
 CPTCCS41                     (F4.0) /
 CPTCCS42                     (F4.0) /
 CPTCCS43                     (F4.0) /
 CPTCCS44                     (F4.0) /
 CPTCCS45                     (F4.0) /
 CPTCCS46                     (F4.0) /
 CPTCCS47                     (F4.0) /
 CPTCCS48                     (F4.0) /
 CPTCCS49                     (F4.0) /
 CPTCCS50                     (F4.0) /
 CPTCCS51                     (F4.0) /
 CPTCCS52                     (F4.0) /
 CPTCCS53                     (F4.0) /
 CPTCCS54                     (F4.0) /
 CPTCCS55                     (F4.0) /
 CPTCCS56                     (F4.0) /
 CPTCCS57                     (F4.0) /
 CPTCCS58                     (F4.0) /
 CPTCCS59                     (F4.0) /
 CPTCCS60                     (F4.0) /
 CPTCCS61                     (F4.0) /
 CPTCCS62                     (F4.0) /
 CPTCCS63                     (F4.0) /
 CPTCCS64                     (F4.0) /
 CPTCCS65                     (F4.0) /
 CPTCCS66                     (F4.0) /
 CPTCCS67                     (F4.0) /
 CPTCCS68                     (F4.0) /
 CPTCCS69                     (F4.0) /
 CPTCCS70                     (F4.0) /
 CPTCCS71                     (F4.0) /
 CPTCCS72                     (F4.0) /
 CPTCCS73                     (F4.0) /
 CPTCCS74                     (F4.0) /
 CPTCCS75                     (F4.0) /
 CPTCCS76                     (F4.0) /
 CPTCCS77                     (F4.0) /
 CPTCCS78                     (F4.0) /
 CPTCCS79                     (F4.0) /
 CPTCCS80                     (F4.0) /
 CPTCCS81                     (F4.0) /
 CPTCCS82                     (F4.0) /
 CPTCCS83                     (F4.0) /
 CPTCCS84                     (F4.0) /
 CPTCCS85                     (F4.0) /
 CPTCCS86                     (F4.0) /
 CPTCCS87                     (F4.0) /
 CPTCCS88                     (F4.0) /
 CPTCCS89                     (F4.0) /
 CPTCCS90                     (F4.0) /
 CPTCCS91                     (F4.0) /
 CPTCCS92                     (F4.0) /
 CPTCCS93                     (F4.0) /
 CPTCCS94                     (F4.0) /
 CPTCCS95                     (F4.0) /
 CPTCCS96                     (F4.0) /
 CPTCCS97                     (F4.0) /
 CPTCCS98                     (F4.0) /
 CPTCCS99                     (F4.0) /
 CPTCCS100                    (F4.0) /
 CPTCCS101                    (F4.0) /
 CPTCCS102                    (F4.0) /
 CPTCCS103                    (F4.0) /
 CPTCCS104                    (F4.0) /
 CPTCCS105                    (F4.0) /
 CPTCCS106                    (F4.0) /
 CPTCCS107                    (F4.0) /
 CPTCCS108                    (F4.0) /
 CPTCCS109                    (F4.0) /
 CPTCCS110                    (F4.0) /
 CPTCCS111                    (F4.0) /
 CPTCCS112                    (F4.0) /
 CPTCCS113                    (F4.0) /
 CPTCCS114                    (F4.0) /
 CPTCCS115                    (F4.0) /
 CPTCCS116                    (F4.0) /
 CPTCCS117                    (F4.0) /
 CPTCCS118                    (F4.0) /
 CPTCCS119                    (F4.0) /
 CPTCCS120                    (F4.0) /
 CPTCCS121                    (F4.0) /
 CPTCCS122                    (F4.0) /
 CPTCCS123                    (F4.0) /
 CPTCCS124                    (F4.0) /
 CPTCCS125                    (F4.0) /
 CPTCCS126                    (F4.0) /
 CPTCCS127                    (F4.0) /
 CPTCCS128                    (F4.0) /
 CPTCCS129                    (F4.0) /
 CPTCCS130                    (F4.0) /
 CPTCCS131                    (F4.0) /
 CPTCCS132                    (F4.0) /
 CPTCCS133                    (F4.0) /
 CPTCCS134                    (F4.0) /
 CPTCCS135                    (F4.0) /
 CPTCCS136                    (F4.0) /
 CPTCCS137                    (F4.0) /
 CPTCCS138                    (F4.0) /
 CPTCCS139                    (F4.0) /
 CPTCCS140                    (F4.0) /
 CPTCCS141                    (F4.0) /
 CPTCCS142                    (F4.0) /
 CPTCCS143                    (F4.0) /
 CPTCCS144                    (F4.0) /
 CPTCCS145                    (F4.0) /
 CPTCCS146                    (F4.0) /
 CPTCCS147                    (F4.0) /
 CPTCCS148                    (F4.0) /
 CPTCCS149                    (F4.0) /
 CPTCCS150                    (F4.0) /
 CPTCCS151                    (F4.0) /
 CPTCCS152                    (F4.0) /
 CPTCCS153                    (F4.0) /
 CPTCCS154                    (F4.0) /
 CPTCCS155                    (F4.0) /
 CPTCCS156                    (F4.0) /
 CPTCCS157                    (F4.0) /
 CPTCCS158                    (F4.0) /
 CPTCCS159                    (F4.0) /
 CPTCCS160                    (F4.0) /
 CPTCCS161                    (F4.0) /
 CPTCCS162                    (F4.0) /
 CPTCCS163                    (F4.0) /
 CPTCCS164                    (F4.0) /
 CPTCCS165                    (F4.0) /
 CPTCCS166                    (F4.0) /
 CPTCCS167                    (F4.0) /
 CPTCCS168                    (F4.0) /
 CPTCCS169                    (F4.0) /
 CPTCCS170                    (F4.0) /
 CPTCCS171                    (F4.0) /
 CPTCCS172                    (F4.0) /
 CPTCCS173                    (F4.0) /
 CPTCCS174                    (F4.0) /
 CPTCCS175                    (F4.0) /
 CPTCCS176                    (F4.0) /
 CPTCCS177                    (F4.0) /
 CPTCCS178                    (F4.0) /
 CPTCCS179                    (F4.0) /
 CPTCCS180                    (F4.0) /
 CPTCCS181                    (F4.0) /
 CPTCCS182                    (F4.0) /
 CPTCCS183                    (F4.0) /
 CPTCCS184                    (F4.0) /
 CPTCCS185                    (F4.0) /
 CPTCCS186                    (F4.0) /
 CPTCCS187                    (F4.0) /
 CPTCCS188                    (F4.0) /
 CPTCCS189                    (F4.0) /
 CPTCCS190                    (F4.0) /
 CPTCCS191                    (F4.0) /
 CPTCCS192                    (F4.0) /
 CPTCCS193                    (F4.0) /
 CPTCCS194                    (F4.0) /
 CPTCCS195                    (F4.0) /
 CPTCCS196                    (F4.0) /
 CPTCCS197                    (F4.0) /
 CPTCCS198                    (F4.0) /
 CPTCCS199                    (F4.0) /
 CPTCCS200                    (F4.0) /
 DIED                         (F3.0) /
 DISPUB04                     (F3.0) /
 DISPUNIFORM                  (F3.0) /
 DMONTH                       (F3.0) /
 DQTR                         (F3.0) /
 FEMALE                       (F3.0) /
 HCUP_ED                      (F3.0) /
 HCUP_OS                      (F3.0) /
 HCUP_SURGERY_BROAD_CPT       (F3.0) /
 HCUP_SURGERY_NARROW_CPT      (F3.0) /
 I10_NDX                      (F3.0) /
 I10_PROCTYPE                 (F3.0) /
 KEY                          (F8.0) /
 LOS                          (F4.0) /
 LOS_X                        (F4.0) /
 MEDINCSTQ                    (F3.0) /
 NCPT                         (F3.0) /
 PAY1                         (F3.0) /
 PL_NCHS                      (F3.0) /
 PSTCO                        (F4.0) /
 RACE                         (F3.0) /
 SASD_SEDD                    (F3.0) /
 STATE_AS                     (F3.0) /
 STATE_ED                     (F3.0) /
 STATE_OS                     (F3.0) /
 TOTCHG                       (F6.0) /
 TOTCHG_X                     (F7.2) /
 YEAR                         (F3.0) /
 ZIPINC_QRTL                  (F3.0) /
 AGEGROUP                     (F3.0) /
 AYEAR                        (F3.0) .


/***  Assign labels to the variables ***/
VARIABLE LABELS 
 AMONTH                       "Admission month"
 ATYPE                        "Admission type"
 AWEEKEND                     "Admission day is a weekend"
 CPT1                         "CPT/HCPCS procedure code 1"
 CPT2                         "CPT/HCPCS procedure code 2"
 CPT3                         "CPT/HCPCS procedure code 3"
 CPT4                         "CPT/HCPCS procedure code 4"
 CPT5                         "CPT/HCPCS procedure code 5"
 CPT6                         "CPT/HCPCS procedure code 6"
 CPT7                         "CPT/HCPCS procedure code 7"
 CPT8                         "CPT/HCPCS procedure code 8"
 CPT9                         "CPT/HCPCS procedure code 9"
 CPT10                        "CPT/HCPCS procedure code 10"
 CPT11                        "CPT/HCPCS procedure code 11"
 CPT12                        "CPT/HCPCS procedure code 12"
 CPT13                        "CPT/HCPCS procedure code 13"
 CPT14                        "CPT/HCPCS procedure code 14"
 CPT15                        "CPT/HCPCS procedure code 15"
 CPT16                        "CPT/HCPCS procedure code 16"
 CPT17                        "CPT/HCPCS procedure code 17"
 CPT18                        "CPT/HCPCS procedure code 18"
 CPT19                        "CPT/HCPCS procedure code 19"
 CPT20                        "CPT/HCPCS procedure code 20"
 CPT21                        "CPT/HCPCS procedure code 21"
 CPT22                        "CPT/HCPCS procedure code 22"
 CPT23                        "CPT/HCPCS procedure code 23"
 CPT24                        "CPT/HCPCS procedure code 24"
 CPT25                        "CPT/HCPCS procedure code 25"
 CPT26                        "CPT/HCPCS procedure code 26"
 CPT27                        "CPT/HCPCS procedure code 27"
 CPT28                        "CPT/HCPCS procedure code 28"
 CPT29                        "CPT/HCPCS procedure code 29"
 CPT30                        "CPT/HCPCS procedure code 30"
 CPT31                        "CPT/HCPCS procedure code 31"
 CPT32                        "CPT/HCPCS procedure code 32"
 CPT33                        "CPT/HCPCS procedure code 33"
 CPT34                        "CPT/HCPCS procedure code 34"
 CPT35                        "CPT/HCPCS procedure code 35"
 CPT36                        "CPT/HCPCS procedure code 36"
 CPT37                        "CPT/HCPCS procedure code 37"
 CPT38                        "CPT/HCPCS procedure code 38"
 CPT39                        "CPT/HCPCS procedure code 39"
 CPT40                        "CPT/HCPCS procedure code 40"
 CPT41                        "CPT/HCPCS procedure code 41"
 CPT42                        "CPT/HCPCS procedure code 42"
 CPT43                        "CPT/HCPCS procedure code 43"
 CPT44                        "CPT/HCPCS procedure code 44"
 CPT45                        "CPT/HCPCS procedure code 45"
 CPT46                        "CPT/HCPCS procedure code 46"
 CPT47                        "CPT/HCPCS procedure code 47"
 CPT48                        "CPT/HCPCS procedure code 48"
 CPT49                        "CPT/HCPCS procedure code 49"
 CPT50                        "CPT/HCPCS procedure code 50"
 CPT51                        "CPT/HCPCS procedure code 51"
 CPT52                        "CPT/HCPCS procedure code 52"
 CPT53                        "CPT/HCPCS procedure code 53"
 CPT54                        "CPT/HCPCS procedure code 54"
 CPT55                        "CPT/HCPCS procedure code 55"
 CPT56                        "CPT/HCPCS procedure code 56"
 CPT57                        "CPT/HCPCS procedure code 57"
 CPT58                        "CPT/HCPCS procedure code 58"
 CPT59                        "CPT/HCPCS procedure code 59"
 CPT60                        "CPT/HCPCS procedure code 60"
 CPT61                        "CPT/HCPCS procedure code 61"
 CPT62                        "CPT/HCPCS procedure code 62"
 CPT63                        "CPT/HCPCS procedure code 63"
 CPT64                        "CPT/HCPCS procedure code 64"
 CPT65                        "CPT/HCPCS procedure code 65"
 CPT66                        "CPT/HCPCS procedure code 66"
 CPT67                        "CPT/HCPCS procedure code 67"
 CPT68                        "CPT/HCPCS procedure code 68"
 CPT69                        "CPT/HCPCS procedure code 69"
 CPT70                        "CPT/HCPCS procedure code 70"
 CPT71                        "CPT/HCPCS procedure code 71"
 CPT72                        "CPT/HCPCS procedure code 72"
 CPT73                        "CPT/HCPCS procedure code 73"
 CPT74                        "CPT/HCPCS procedure code 74"
 CPT75                        "CPT/HCPCS procedure code 75"
 CPT76                        "CPT/HCPCS procedure code 76"
 CPT77                        "CPT/HCPCS procedure code 77"
 CPT78                        "CPT/HCPCS procedure code 78"
 CPT79                        "CPT/HCPCS procedure code 79"
 CPT80                        "CPT/HCPCS procedure code 80"
 CPT81                        "CPT/HCPCS procedure code 81"
 CPT82                        "CPT/HCPCS procedure code 82"
 CPT83                        "CPT/HCPCS procedure code 83"
 CPT84                        "CPT/HCPCS procedure code 84"
 CPT85                        "CPT/HCPCS procedure code 85"
 CPT86                        "CPT/HCPCS procedure code 86"
 CPT87                        "CPT/HCPCS procedure code 87"
 CPT88                        "CPT/HCPCS procedure code 88"
 CPT89                        "CPT/HCPCS procedure code 89"
 CPT90                        "CPT/HCPCS procedure code 90"
 CPT91                        "CPT/HCPCS procedure code 91"
 CPT92                        "CPT/HCPCS procedure code 92"
 CPT93                        "CPT/HCPCS procedure code 93"
 CPT94                        "CPT/HCPCS procedure code 94"
 CPT95                        "CPT/HCPCS procedure code 95"
 CPT96                        "CPT/HCPCS procedure code 96"
 CPT97                        "CPT/HCPCS procedure code 97"
 CPT98                        "CPT/HCPCS procedure code 98"
 CPT99                        "CPT/HCPCS procedure code 99"
 CPT100                       "CPT/HCPCS procedure code 100"
 CPT101                       "CPT/HCPCS procedure code 101"
 CPT102                       "CPT/HCPCS procedure code 102"
 CPT103                       "CPT/HCPCS procedure code 103"
 CPT104                       "CPT/HCPCS procedure code 104"
 CPT105                       "CPT/HCPCS procedure code 105"
 CPT106                       "CPT/HCPCS procedure code 106"
 CPT107                       "CPT/HCPCS procedure code 107"
 CPT108                       "CPT/HCPCS procedure code 108"
 CPT109                       "CPT/HCPCS procedure code 109"
 CPT110                       "CPT/HCPCS procedure code 110"
 CPT111                       "CPT/HCPCS procedure code 111"
 CPT112                       "CPT/HCPCS procedure code 112"
 CPT113                       "CPT/HCPCS procedure code 113"
 CPT114                       "CPT/HCPCS procedure code 114"
 CPT115                       "CPT/HCPCS procedure code 115"
 CPT116                       "CPT/HCPCS procedure code 116"
 CPT117                       "CPT/HCPCS procedure code 117"
 CPT118                       "CPT/HCPCS procedure code 118"
 CPT119                       "CPT/HCPCS procedure code 119"
 CPT120                       "CPT/HCPCS procedure code 120"
 CPT121                       "CPT/HCPCS procedure code 121"
 CPT122                       "CPT/HCPCS procedure code 122"
 CPT123                       "CPT/HCPCS procedure code 123"
 CPT124                       "CPT/HCPCS procedure code 124"
 CPT125                       "CPT/HCPCS procedure code 125"
 CPT126                       "CPT/HCPCS procedure code 126"
 CPT127                       "CPT/HCPCS procedure code 127"
 CPT128                       "CPT/HCPCS procedure code 128"
 CPT129                       "CPT/HCPCS procedure code 129"
 CPT130                       "CPT/HCPCS procedure code 130"
 CPT131                       "CPT/HCPCS procedure code 131"
 CPT132                       "CPT/HCPCS procedure code 132"
 CPT133                       "CPT/HCPCS procedure code 133"
 CPT134                       "CPT/HCPCS procedure code 134"
 CPT135                       "CPT/HCPCS procedure code 135"
 CPT136                       "CPT/HCPCS procedure code 136"
 CPT137                       "CPT/HCPCS procedure code 137"
 CPT138                       "CPT/HCPCS procedure code 138"
 CPT139                       "CPT/HCPCS procedure code 139"
 CPT140                       "CPT/HCPCS procedure code 140"
 CPT141                       "CPT/HCPCS procedure code 141"
 CPT142                       "CPT/HCPCS procedure code 142"
 CPT143                       "CPT/HCPCS procedure code 143"
 CPT144                       "CPT/HCPCS procedure code 144"
 CPT145                       "CPT/HCPCS procedure code 145"
 CPT146                       "CPT/HCPCS procedure code 146"
 CPT147                       "CPT/HCPCS procedure code 147"
 CPT148                       "CPT/HCPCS procedure code 148"
 CPT149                       "CPT/HCPCS procedure code 149"
 CPT150                       "CPT/HCPCS procedure code 150"
 CPT151                       "CPT/HCPCS procedure code 151"
 CPT152                       "CPT/HCPCS procedure code 152"
 CPT153                       "CPT/HCPCS procedure code 153"
 CPT154                       "CPT/HCPCS procedure code 154"
 CPT155                       "CPT/HCPCS procedure code 155"
 CPT156                       "CPT/HCPCS procedure code 156"
 CPT157                       "CPT/HCPCS procedure code 157"
 CPT158                       "CPT/HCPCS procedure code 158"
 CPT159                       "CPT/HCPCS procedure code 159"
 CPT160                       "CPT/HCPCS procedure code 160"
 CPT161                       "CPT/HCPCS procedure code 161"
 CPT162                       "CPT/HCPCS procedure code 162"
 CPT163                       "CPT/HCPCS procedure code 163"
 CPT164                       "CPT/HCPCS procedure code 164"
 CPT165                       "CPT/HCPCS procedure code 165"
 CPT166                       "CPT/HCPCS procedure code 166"
 CPT167                       "CPT/HCPCS procedure code 167"
 CPT168                       "CPT/HCPCS procedure code 168"
 CPT169                       "CPT/HCPCS procedure code 169"
 CPT170                       "CPT/HCPCS procedure code 170"
 CPT171                       "CPT/HCPCS procedure code 171"
 CPT172                       "CPT/HCPCS procedure code 172"
 CPT173                       "CPT/HCPCS procedure code 173"
 CPT174                       "CPT/HCPCS procedure code 174"
 CPT175                       "CPT/HCPCS procedure code 175"
 CPT176                       "CPT/HCPCS procedure code 176"
 CPT177                       "CPT/HCPCS procedure code 177"
 CPT178                       "CPT/HCPCS procedure code 178"
 CPT179                       "CPT/HCPCS procedure code 179"
 CPT180                       "CPT/HCPCS procedure code 180"
 CPT181                       "CPT/HCPCS procedure code 181"
 CPT182                       "CPT/HCPCS procedure code 182"
 CPT183                       "CPT/HCPCS procedure code 183"
 CPT184                       "CPT/HCPCS procedure code 184"
 CPT185                       "CPT/HCPCS procedure code 185"
 CPT186                       "CPT/HCPCS procedure code 186"
 CPT187                       "CPT/HCPCS procedure code 187"
 CPT188                       "CPT/HCPCS procedure code 188"
 CPT189                       "CPT/HCPCS procedure code 189"
 CPT190                       "CPT/HCPCS procedure code 190"
 CPT191                       "CPT/HCPCS procedure code 191"
 CPT192                       "CPT/HCPCS procedure code 192"
 CPT193                       "CPT/HCPCS procedure code 193"
 CPT194                       "CPT/HCPCS procedure code 194"
 CPT195                       "CPT/HCPCS procedure code 195"
 CPT196                       "CPT/HCPCS procedure code 196"
 CPT197                       "CPT/HCPCS procedure code 197"
 CPT198                       "CPT/HCPCS procedure code 198"
 CPT199                       "CPT/HCPCS procedure code 199"
 CPT200                       "CPT/HCPCS procedure code 200"
 CPTCCS1                      "CCS: CPT 1"
 CPTCCS2                      "CCS: CPT 2"
 CPTCCS3                      "CCS: CPT 3"
 CPTCCS4                      "CCS: CPT 4"
 CPTCCS5                      "CCS: CPT 5"
 CPTCCS6                      "CCS: CPT 6"
 CPTCCS7                      "CCS: CPT 7"
 CPTCCS8                      "CCS: CPT 8"
 CPTCCS9                      "CCS: CPT 9"
 CPTCCS10                     "CCS: CPT 10"
 CPTCCS11                     "CCS: CPT 11"
 CPTCCS12                     "CCS: CPT 12"
 CPTCCS13                     "CCS: CPT 13"
 CPTCCS14                     "CCS: CPT 14"
 CPTCCS15                     "CCS: CPT 15"
 CPTCCS16                     "CCS: CPT 16"
 CPTCCS17                     "CCS: CPT 17"
 CPTCCS18                     "CCS: CPT 18"
 CPTCCS19                     "CCS: CPT 19"
 CPTCCS20                     "CCS: CPT 20"
 CPTCCS21                     "CCS: CPT 21"
 CPTCCS22                     "CCS: CPT 22"
 CPTCCS23                     "CCS: CPT 23"
 CPTCCS24                     "CCS: CPT 24"
 CPTCCS25                     "CCS: CPT 25"
 CPTCCS26                     "CCS: CPT 26"
 CPTCCS27                     "CCS: CPT 27"
 CPTCCS28                     "CCS: CPT 28"
 CPTCCS29                     "CCS: CPT 29"
 CPTCCS30                     "CCS: CPT 30"
 CPTCCS31                     "CCS: CPT 31"
 CPTCCS32                     "CCS: CPT 32"
 CPTCCS33                     "CCS: CPT 33"
 CPTCCS34                     "CCS: CPT 34"
 CPTCCS35                     "CCS: CPT 35"
 CPTCCS36                     "CCS: CPT 36"
 CPTCCS37                     "CCS: CPT 37"
 CPTCCS38                     "CCS: CPT 38"
 CPTCCS39                     "CCS: CPT 39"
 CPTCCS40                     "CCS: CPT 40"
 CPTCCS41                     "CCS: CPT 41"
 CPTCCS42                     "CCS: CPT 42"
 CPTCCS43                     "CCS: CPT 43"
 CPTCCS44                     "CCS: CPT 44"
 CPTCCS45                     "CCS: CPT 45"
 CPTCCS46                     "CCS: CPT 46"
 CPTCCS47                     "CCS: CPT 47"
 CPTCCS48                     "CCS: CPT 48"
 CPTCCS49                     "CCS: CPT 49"
 CPTCCS50                     "CCS: CPT 50"
 CPTCCS51                     "CCS: CPT 51"
 CPTCCS52                     "CCS: CPT 52"
 CPTCCS53                     "CCS: CPT 53"
 CPTCCS54                     "CCS: CPT 54"
 CPTCCS55                     "CCS: CPT 55"
 CPTCCS56                     "CCS: CPT 56"
 CPTCCS57                     "CCS: CPT 57"
 CPTCCS58                     "CCS: CPT 58"
 CPTCCS59                     "CCS: CPT 59"
 CPTCCS60                     "CCS: CPT 60"
 CPTCCS61                     "CCS: CPT 61"
 CPTCCS62                     "CCS: CPT 62"
 CPTCCS63                     "CCS: CPT 63"
 CPTCCS64                     "CCS: CPT 64"
 CPTCCS65                     "CCS: CPT 65"
 CPTCCS66                     "CCS: CPT 66"
 CPTCCS67                     "CCS: CPT 67"
 CPTCCS68                     "CCS: CPT 68"
 CPTCCS69                     "CCS: CPT 69"
 CPTCCS70                     "CCS: CPT 70"
 CPTCCS71                     "CCS: CPT 71"
 CPTCCS72                     "CCS: CPT 72"
 CPTCCS73                     "CCS: CPT 73"
 CPTCCS74                     "CCS: CPT 74"
 CPTCCS75                     "CCS: CPT 75"
 CPTCCS76                     "CCS: CPT 76"
 CPTCCS77                     "CCS: CPT 77"
 CPTCCS78                     "CCS: CPT 78"
 CPTCCS79                     "CCS: CPT 79"
 CPTCCS80                     "CCS: CPT 80"
 CPTCCS81                     "CCS: CPT 81"
 CPTCCS82                     "CCS: CPT 82"
 CPTCCS83                     "CCS: CPT 83"
 CPTCCS84                     "CCS: CPT 84"
 CPTCCS85                     "CCS: CPT 85"
 CPTCCS86                     "CCS: CPT 86"
 CPTCCS87                     "CCS: CPT 87"
 CPTCCS88                     "CCS: CPT 88"
 CPTCCS89                     "CCS: CPT 89"
 CPTCCS90                     "CCS: CPT 90"
 CPTCCS91                     "CCS: CPT 91"
 CPTCCS92                     "CCS: CPT 92"
 CPTCCS93                     "CCS: CPT 93"
 CPTCCS94                     "CCS: CPT 94"
 CPTCCS95                     "CCS: CPT 95"
 CPTCCS96                     "CCS: CPT 96"
 CPTCCS97                     "CCS: CPT 97"
 CPTCCS98                     "CCS: CPT 98"
 CPTCCS99                     "CCS: CPT 99"
 CPTCCS100                    "CCS: CPT 100"
 CPTCCS101                    "CCS: CPT 101"
 CPTCCS102                    "CCS: CPT 102"
 CPTCCS103                    "CCS: CPT 103"
 CPTCCS104                    "CCS: CPT 104"
 CPTCCS105                    "CCS: CPT 105"
 CPTCCS106                    "CCS: CPT 106"
 CPTCCS107                    "CCS: CPT 107"
 CPTCCS108                    "CCS: CPT 108"
 CPTCCS109                    "CCS: CPT 109"
 CPTCCS110                    "CCS: CPT 110"
 CPTCCS111                    "CCS: CPT 111"
 CPTCCS112                    "CCS: CPT 112"
 CPTCCS113                    "CCS: CPT 113"
 CPTCCS114                    "CCS: CPT 114"
 CPTCCS115                    "CCS: CPT 115"
 CPTCCS116                    "CCS: CPT 116"
 CPTCCS117                    "CCS: CPT 117"
 CPTCCS118                    "CCS: CPT 118"
 CPTCCS119                    "CCS: CPT 119"
 CPTCCS120                    "CCS: CPT 120"
 CPTCCS121                    "CCS: CPT 121"
 CPTCCS122                    "CCS: CPT 122"
 CPTCCS123                    "CCS: CPT 123"
 CPTCCS124                    "CCS: CPT 124"
 CPTCCS125                    "CCS: CPT 125"
 CPTCCS126                    "CCS: CPT 126"
 CPTCCS127                    "CCS: CPT 127"
 CPTCCS128                    "CCS: CPT 128"
 CPTCCS129                    "CCS: CPT 129"
 CPTCCS130                    "CCS: CPT 130"
 CPTCCS131                    "CCS: CPT 131"
 CPTCCS132                    "CCS: CPT 132"
 CPTCCS133                    "CCS: CPT 133"
 CPTCCS134                    "CCS: CPT 134"
 CPTCCS135                    "CCS: CPT 135"
 CPTCCS136                    "CCS: CPT 136"
 CPTCCS137                    "CCS: CPT 137"
 CPTCCS138                    "CCS: CPT 138"
 CPTCCS139                    "CCS: CPT 139"
 CPTCCS140                    "CCS: CPT 140"
 CPTCCS141                    "CCS: CPT 141"
 CPTCCS142                    "CCS: CPT 142"
 CPTCCS143                    "CCS: CPT 143"
 CPTCCS144                    "CCS: CPT 144"
 CPTCCS145                    "CCS: CPT 145"
 CPTCCS146                    "CCS: CPT 146"
 CPTCCS147                    "CCS: CPT 147"
 CPTCCS148                    "CCS: CPT 148"
 CPTCCS149                    "CCS: CPT 149"
 CPTCCS150                    "CCS: CPT 150"
 CPTCCS151                    "CCS: CPT 151"
 CPTCCS152                    "CCS: CPT 152"
 CPTCCS153                    "CCS: CPT 153"
 CPTCCS154                    "CCS: CPT 154"
 CPTCCS155                    "CCS: CPT 155"
 CPTCCS156                    "CCS: CPT 156"
 CPTCCS157                    "CCS: CPT 157"
 CPTCCS158                    "CCS: CPT 158"
 CPTCCS159                    "CCS: CPT 159"
 CPTCCS160                    "CCS: CPT 160"
 CPTCCS161                    "CCS: CPT 161"
 CPTCCS162                    "CCS: CPT 162"
 CPTCCS163                    "CCS: CPT 163"
 CPTCCS164                    "CCS: CPT 164"
 CPTCCS165                    "CCS: CPT 165"
 CPTCCS166                    "CCS: CPT 166"
 CPTCCS167                    "CCS: CPT 167"
 CPTCCS168                    "CCS: CPT 168"
 CPTCCS169                    "CCS: CPT 169"
 CPTCCS170                    "CCS: CPT 170"
 CPTCCS171                    "CCS: CPT 171"
 CPTCCS172                    "CCS: CPT 172"
 CPTCCS173                    "CCS: CPT 173"
 CPTCCS174                    "CCS: CPT 174"
 CPTCCS175                    "CCS: CPT 175"
 CPTCCS176                    "CCS: CPT 176"
 CPTCCS177                    "CCS: CPT 177"
 CPTCCS178                    "CCS: CPT 178"
 CPTCCS179                    "CCS: CPT 179"
 CPTCCS180                    "CCS: CPT 180"
 CPTCCS181                    "CCS: CPT 181"
 CPTCCS182                    "CCS: CPT 182"
 CPTCCS183                    "CCS: CPT 183"
 CPTCCS184                    "CCS: CPT 184"
 CPTCCS185                    "CCS: CPT 185"
 CPTCCS186                    "CCS: CPT 186"
 CPTCCS187                    "CCS: CPT 187"
 CPTCCS188                    "CCS: CPT 188"
 CPTCCS189                    "CCS: CPT 189"
 CPTCCS190                    "CCS: CPT 190"
 CPTCCS191                    "CCS: CPT 191"
 CPTCCS192                    "CCS: CPT 192"
 CPTCCS193                    "CCS: CPT 193"
 CPTCCS194                    "CCS: CPT 194"
 CPTCCS195                    "CCS: CPT 195"
 CPTCCS196                    "CCS: CPT 196"
 CPTCCS197                    "CCS: CPT 197"
 CPTCCS198                    "CCS: CPT 198"
 CPTCCS199                    "CCS: CPT 199"
 CPTCCS200                    "CCS: CPT 200"
 DIED                         "Died during hospitalization"
 DISP_X                       "Disposition of patient (as received from source)"
 DISPUB04                     "Disposition of patient (UB-04 standard coding)"
 DISPUNIFORM                  "Disposition of patient (uniform)"
 DMONTH                       "Discharge month"
 DQTR                         "Discharge quarter"
 FEMALE                       "Indicator of sex"
 HCUP_ED                      "HCUP Emergency Department service indicator"
 HCUP_OS                      "HCUP Observation Stay service indicator"
 HCUP_SURGERY_BROAD_CPT       "Number of reported CPT procedures that qualify as a surgery using a broad definition"
 HCUP_SURGERY_NARROW_CPT      "Number of reported CPT procedures that qualify as a surgery using a narrow definition"
 HOSPST                       "Hospital state postal code"
 I10_DX_Visit_Reason1         "ICD-10-CM Reason for visit diagnosis 1"
 I10_DX_Visit_Reason2         "ICD-10-CM Reason for visit diagnosis 2"
 I10_DX_Visit_Reason3         "ICD-10-CM Reason for visit diagnosis 3"
 I10_DX1                      "ICD-10-CM Diagnosis 1"
 I10_DX2                      "ICD-10-CM Diagnosis 2"
 I10_DX3                      "ICD-10-CM Diagnosis 3"
 I10_DX4                      "ICD-10-CM Diagnosis 4"
 I10_DX5                      "ICD-10-CM Diagnosis 5"
 I10_DX6                      "ICD-10-CM Diagnosis 6"
 I10_DX7                      "ICD-10-CM Diagnosis 7"
 I10_DX8                      "ICD-10-CM Diagnosis 8"
 I10_DX9                      "ICD-10-CM Diagnosis 9"
 I10_DX10                     "ICD-10-CM Diagnosis 10"
 I10_DX11                     "ICD-10-CM Diagnosis 11"
 I10_DX12                     "ICD-10-CM Diagnosis 12"
 I10_DX13                     "ICD-10-CM Diagnosis 13"
 I10_DX14                     "ICD-10-CM Diagnosis 14"
 I10_DX15                     "ICD-10-CM Diagnosis 15"
 I10_DX16                     "ICD-10-CM Diagnosis 16"
 I10_DX17                     "ICD-10-CM Diagnosis 17"
 I10_NDX                      "ICD-10-CM Number of diagnoses on this record"
 I10_PROCTYPE                 "ICD-10-PCS Procedure type indicator"
 KEY                          "HCUP record identifier"
 LOS                          "Length of stay (cleaned)"
 LOS_X                        "Length of stay (as received from source)"
 MDSPEC1                      "Physician 1 specialty (as received from source)"
 MDSPEC2                      "Physician 2 specialty (as received from source)"
 MEDINCSTQ                    "Median household income state quartile for patient ZIP Code"
 NCPT                         "Number of CPT/HCPCS procedures for this visit"
 PAY1                         "Primary expected payer (uniform)"
 PAY1_X                       "Primary expected payer (as received from source)"
 PL_NCHS                      "Patient Location: NCHS Urban-Rural Code"
 PointOfOrigin_X              "Point of origin for admission or visit, as received from source"
 PointOfOriginUB04            "Point of origin for admission or visit, UB-04 standard coding"
 PSTATE                       "Patient State postal code"
 PSTATE_GEO                   "Patient State postal code assigned from ZIP Code"
 PSTCO                        "Patient state/county FIPS code"
 RACE                         "Race (uniform)"
 RACE_X                       "Race (as received from source)"
 SASD_SEDD                    "SASD and SEDD indicator"
 STATE_AS                     "State Ambulatory Surgery service indicator"
 STATE_ED                     "State Emergency Department service indicator"
 STATE_OS                     "State Observation Stay service indicator"
 TOTCHG                       "Total charges (cleaned)"
 TOTCHG_X                     "Total charges (as received from source)"
 YEAR                         "Calendar year"
 ZIPINC_QRTL                  "Median household income national quartile for patient ZIP Code"
 AGEGROUP                     "Age Group"
 AYEAR                        "Admission year" .


/**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************/

RECODE AMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE ATYPE
 (-9,-8,-6,-5=SYSMIS).
RECODE AWEEKEND
 (-9,-8,-6,-5=SYSMIS).
RECODE CPTCCS1
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS2
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS3
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS4
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS5
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS6
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS7
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS8
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS9
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS10
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS11
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS12
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS13
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS14
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS15
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS16
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS17
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS18
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS19
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS20
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS21
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS22
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS23
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS24
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS25
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS26
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS27
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS28
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS29
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS30
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS31
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS32
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS33
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS34
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS35
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS36
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS37
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS38
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS39
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS40
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS41
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS42
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS43
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS44
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS45
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS46
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS47
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS48
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS49
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS50
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS51
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS52
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS53
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS54
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS55
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS56
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS57
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS58
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS59
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS60
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS61
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS62
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS63
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS64
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS65
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS66
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS67
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS68
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS69
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS70
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS71
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS72
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS73
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS74
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS75
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS76
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS77
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS78
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS79
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS80
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS81
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS82
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS83
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS84
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS85
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS86
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS87
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS88
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS89
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS90
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS91
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS92
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS93
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS94
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS95
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS96
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS97
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS98
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS99
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS100
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS101
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS102
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS103
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS104
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS105
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS106
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS107
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS108
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS109
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS110
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS111
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS112
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS113
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS114
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS115
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS116
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS117
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS118
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS119
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS120
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS121
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS122
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS123
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS124
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS125
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS126
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS127
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS128
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS129
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS130
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS131
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS132
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS133
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS134
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS135
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS136
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS137
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS138
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS139
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS140
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS141
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS142
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS143
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS144
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS145
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS146
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS147
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS148
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS149
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS150
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS151
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS152
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS153
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS154
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS155
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS156
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS157
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS158
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS159
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS160
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS161
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS162
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS163
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS164
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS165
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS166
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS167
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS168
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS169
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS170
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS171
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS172
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS173
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS174
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS175
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS176
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS177
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS178
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS179
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS180
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS181
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS182
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS183
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS184
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS185
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS186
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS187
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS188
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS189
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS190
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS191
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS192
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS193
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS194
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS195
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS196
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS197
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS198
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS199
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS200
 (-99,-88,-66,-55=SYSMIS).
RECODE DIED
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUB04
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUNIFORM
 (-9,-8,-6,-5=SYSMIS).
RECODE DMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE DQTR
 (-9,-8,-6,-5=SYSMIS).
RECODE FEMALE
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_ED
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_OS
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_SURGERY_BROAD_CPT
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE HCUP_SURGERY_NARROW_CPT
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE I10_NDX
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_PROCTYPE
 (-99,-88,-66,-55=SYSMIS).
RECODE LOS
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE LOS_X
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE MEDINCSTQ
 (-9,-8,-6,-5=SYSMIS).
RECODE NCPT
 (-999,-888,-666,-555=SYSMIS).
RECODE PAY1
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_NCHS
 (-9,-8,-6,-5=SYSMIS).
RECODE PSTCO
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE RACE
 (-9,-8,-6,-5=SYSMIS).
RECODE SASD_SEDD
 (-9,-8,-6,-5=SYSMIS).
RECODE STATE_AS
 (-9,-8,-6,-5=SYSMIS).
RECODE STATE_ED
 (-9,-8,-6,-5=SYSMIS).
RECODE STATE_OS
 (-9,-8,-6,-5=SYSMIS).
RECODE TOTCHG
 (-999999999,-888888888,-666666666,-555555555=SYSMIS).
RECODE TOTCHG_X
 (-99999999999.99,-88888888888.88,-66666666666.66,-55555555555.55=SYSMIS).
RECODE ZIPINC_QRTL
 (-99,-88,-66,-55=SYSMIS).
RECODE AGEGROUP
 (-99,-88,-66,-55=SYSMIS).
RECODE AYEAR
 (-999,-888,-666,-555=SYSMIS).



SAVE OUTFILE = 'SC_SEDD_2022_CORE.sav' /COMPRESSED.
